%define upstream_name    CGI-Application-Dispatch
%define upstream_version 3.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dispatch requests to CGI::Application based object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Test)
BuildRequires: perl(CGI::Application) >= 4.500.0
BuildRequires: perl(CGI::PSGI)
BuildRequires: perl(Exception::Class) >= 1.200.0
BuildRequires: perl(HTTP::Exception)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Plack) >= 0.995.600
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(version) >= 0.820.0
BuildArch:  noarch

%description
This module provides a way (as a mod_perl handler or running under vanilla CGI)
to look at the path ($r->path_info or $ENV{PATH_INFO}) of the incoming request,
parse off the desired module and it's run mode, create an instance of that
module and run it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.120.0-3.mga4
+ Revision: 509373
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.120.0-2.mga3
+ Revision: 363454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.120.0-1.mga3
+ Revision: 294941
- update to 3.12

* Wed Sep 05 2012 kharec <kharec> 3.100.0-1.mga3
+ Revision: 288442
- update to 3.10

* Wed Sep 14 2011 takashi <takashi> 3.70.0-1.mga2
+ Revision: 143229
- update to 3.07

* Thu Jun 30 2011 jquelin <jquelin> 3.40.0-1.mga2
+ Revision: 116410
- update to 3.04

* Mon Jun 27 2011 jquelin <jquelin> 3.30.0-1.mga2
+ Revision: 114569
- update to 3.03

* Wed Jun 22 2011 jquelin <jquelin> 3.0.0-1.mga2
+ Revision: 112326
- adding missing buildrequires:
- update to 3.00

* Fri Jan 21 2011 jquelin <jquelin> 2.180.0-1.mga1
+ Revision: 29577
- mageia rebuild
- imported package perl-CGI-Application-Dispatch


* Wed Jan 05 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.180.0-1mdv2011.0
+ Revision: 628699
- update to new version 2.18

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 2.170.0-1mdv2011.0
+ Revision: 484370
- update to 2.17

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.160.0-1mdv2010.0
+ Revision: 405770
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.16-1mdv2010.0
+ Revision: 370015
- update to new version 2.16

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.15-1mdv2009.1
+ Revision: 311977
- update to new version 2.15

* Tue Nov 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-1mdv2009.1
+ Revision: 299748
- update to new version 2.14

* Sun Oct 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.13-1mdv2009.1
+ Revision: 292885
- import perl-CGI-Application-Dispatch


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.13-1mdv2009.1
- initial mdv release, generated with cpan2dist

